org.apache.hadoop.hdfs.server.datanode

## Class StorageLocation.CheckContext

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.StorageLocation.CheckContext

- Enclosing class:
    org.apache.hadoop.hdfs.server.datanode.StorageLocation

      public static final class StorageLocation.CheckContext
      extends Object

  Class to hold the parameters for running a `StorageLocation.check(org.apache.hadoop.hdfs.server.datanode.StorageLocation.CheckContext)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckContext(org.apache.hadoop.fs.LocalFileSystem localFileSystem, org.apache.hadoop.fs.permission.FsPermission expectedPermission)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckContext

          public CheckContext(org.apache.hadoop.fs.LocalFileSystem localFileSystem,
                              org.apache.hadoop.fs.permission.FsPermission expectedPermission)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.